
\documentclass[12pt]{report} 

\usepackage[croatian]{babel} 
\usepackage{amssymb}
\usepackage{amsmath}
\usepackage{txfonts}
\usepackage{mathdots}
\usepackage{titlesec}
\usepackage{array}
\usepackage{lastpage}
\usepackage{etoolbox}
\usepackage{longtable, tabu}
\usepackage{color, colortbl}
\usepackage{adjustbox}
\usepackage{geometry}
\usepackage[classicReIm]{kpfonts}
\usepackage{hyperref}
\usepackage{fancyhdr}
\usepackage{courier}
\usepackage{listings, xcolor}

\usepackage{float}
\usepackage{setspace}
\restylefloat{table}
\lstset{
tabsize = 4, %% set tab space width
showstringspaces = false, %% prevent space marking in strings, string is defined as the text that is generally printed directly to the console
numbers = left, %% display line numbers on the left
commentstyle = \color{green}, %% set comment color
keywordstyle = \color{blue}, %% set keyword color
stringstyle = \color{red}, %% set string color
rulecolor = \color{black}, %% set frame color to avoid being affected by text color
basicstyle = \small \ttfamily , %% set listing font and size
breaklines = true, %% enable line breaking
numberstyle = \tiny,
}


\patchcmd{\chapter}{\thispagestyle{plain}}{\thispagestyle{fancy}}{}{}


\titleformat{\chapter}{\normalfont\huge\bfseries}{\thechapter.}{20pt}{\Huge}
\titlespacing{\chapter}{0pt}{0pt}{40pt}
\linespread{1.3}

\geometry{
	a4paper,
	left=1in,
	top=1in,
}

\hypersetup{ colorlinks, citecolor=black, filecolor=black, linkcolor=black,	urlcolor=black }


\newenvironment{packed_enum}{
	\begin{enumerate}
		\setlength{\itemsep}{0pt}
		\setlength{\parskip}{0pt}
		\setlength{\parsep}{0pt}
	}{\end{enumerate}}

\newenvironment{packed_item}{
	\begin{itemize}
		\setlength{\itemsep}{0pt}
		\setlength{\parskip}{0pt}
		\setlength{\parsep}{0pt}
	}{\end{itemize}}


\definecolor{LightBlue}{rgb}{0.9,0.9,1}
\definecolor{LightGreen}{rgb}{0.9,1,0.9}


%podesavanje headera i footera


\pagestyle{fancy}
\lhead{Oblikovanje programske potpore}
\rhead{Health Wallet}
\lfoot{SuljekIBuljeki}
\cfoot{stranica \thepage/\pageref{LastPage}}
\rfoot{\today}
\renewcommand{\headrulewidth}{0.2pt}
\renewcommand{\footrulewidth}{0.2pt}


\begin{document}
	

	\begin{titlepage}
		\begin{center}
			\vspace*{\stretch{1.0}}
			\LARGE Oblikovanje programske potpore\\
			\large Ak. god. 2019./2020.\\
			
			\vspace*{\stretch{3.0}}
			
			\huge Health Wallet\\
			\Large Dokumentacija, Rev. 2.0\\
			
			\vspace*{\stretch{12.0}}
			\normalsize
			Grupa: \textit{SuljekIBuljeki}\\
			Voditelj: \textit{Leon Suljić}\\
			
			
			\vspace*{\stretch{1.0}}
			Datum predaje: \textit{16. siječnja 2020.}\\
	
			\vspace*{\stretch{4.0}}
			
			Nastavnik: \textit{Dr. sc. Miljenko Krhen}\\
		
		\end{center}

	
	\end{titlepage}

	
	\tableofcontents

	\include{Dnevnik_promjena_dokumentacije}
	\include{Opis_projektnog_zadatka}
	\include{Specifikacija_programske_potpore}
	\include{Arhitektura}
	\include{Implementacija}
	\include{Zakljucak}
	\include{Literatura}
	
	
	\begingroup
	\renewcommand*\listfigurename{Indeks slika i dijagrama}
	%\renewcommand*\listtablename{Indeks tablica}
	%\let\clearpage\relax
	\listoffigures
	%\vspace{10mm}
	%\listoftables
	\endgroup
	\addcontentsline{toc}{chapter}{Indeks slika i dijagrama}


	
	\eject 
		
	\include{Dodatak}


\end{document}